import { createRouter, createWebHistory } from 'vue-router'
// import useUserStore from '@/stores/user'
// import useCoreStore from '@/stores/core'
import Index from '../pages/index'
import HomeIndex from '../pages/home/index'
// import HomeContent from '../views/home/content'
// import PublishIndex from '../views/publish/index'
// import PublishResult from '../views/publish/result'
// import MineIndex from '../views/mine/index'
// import AccountLogin from '../views/account/login'
// import AccountUserinfo from '../views/account/userinfo'
// import SubjectIndex from '../views/subject/index'
// import SubjectList from '../views/subject/list'
// import PrefectureIndex from '../views/prefecture/index'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/',
      name: 'index',
      component: Index,
      redirect: '/home',
      meta: {
        keepAlive: true
      },
      children: [{
        path: '/home',
        name: 'home',
        component: HomeIndex
      },
    //   {
    //     path: '/mine',
    //     name: 'mine',
    //     component: MineIndex,
    //     meta: {
    //       requireAuth: true
    //     }
    //   },
    //   {
    //     path: '/prefecture',
    //     name: 'prefecture',
    //     component: PrefectureIndex,
    //     meta: {
    //       requireAuth: true
    //     }
    //   },
    //   {
    //     path: '/subject',
    //     name: 'subject',
    //     component: SubjectIndex,
    //     meta: {
    //       requireAuth: true
    //     }
    //   }
    ]
    },
    // {
    //   path: '/home/content',
    //   name: 'home-content',
    //   component: HomeContent
    // },
    // {
    //   path: '/publish',
    //   name: 'publish',
    //   component: PublishIndex,
    //   meta: {
    //     requireAuth: true
    //   }
    // },
    // {
    //   path: '/publish/result',
    //   name: 'publish-result',
    //   component: PublishResult,
    //   meta: {
    //     requireAuth: true
    //   }
    // },
    // {
    //   path: '/account/login',
    //   name: 'account-login',
    //   component: AccountLogin
    // },
    // {
    //   path: '/account/userinfo',
    //   name: 'account-userinfo',
    //   component: AccountUserinfo,
    //   meta: {
    //     requireAuth: true
    //   }
    // },
    // {
    //   path: '/subject/list',
    //   name: 'subject-list',
    //   component: SubjectList,
    //   meta: {
    //     requireAuth: true,
    //     keepAlive: true
    //   }
    // }
  ]
})




// router.beforeEach((to, from, next) => {
//   const coreStore = useCoreStore()
//   const userStore = useUserStore()
//   if (to.meta.keepAlive) {
//     coreStore.setCacheRouteNames(to.matched[0].name)
//   }
//   if (to.meta.requireAuth) {
//     if (userStore.isLogin()) {
//       next()
//     } else {
//       next({ name: 'account-login' })
//     }
//   } else {
//     next()
//   }
// })

export default router
